com.google.cloud.dataflow.sdk.runners

## Class AggregatorRetrievalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.cloud.dataflow.sdk.runners.AggregatorRetrievalException

All Implemented Interfaces:
  Serializable

    public class AggregatorRetrievalException
    extends Exception

Signals that an exception has occurred while retrieving `Aggregator`s.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AggregatorRetrievalException(String message, Throwable cause)` Constructs a new `AggregatorRetrievalException` with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AggregatorRetrievalException

    public AggregatorRetrievalException(String message,
                                        Throwable cause)

Constructs a new `AggregatorRetrievalException` with the specified detail message and cause.